"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("./types");
const get = require("./db");
const handler = (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const appId = Number(req.params.id);
    const activeOnly = req.query.hasOwnProperty('active');
    if (!appId) {
        const remotes = yield get.getAllRemotes();
        return res.json(getActiveBranches(remotes, activeOnly));
    }
    const remotes = yield get.getRemotes(appId);
    return res.json(getActiveBranches(remotes, activeOnly));
});
exports.default = handler;
function getActiveBranches(remotes, filter) {
    if (!filter) {
        return remotes;
    }
    const thresholdDate = new Date();
    // TODO: Replace threshold with values from application configuration
    thresholdDate.setDate(thresholdDate.getDate() - 7);
    const threshold = thresholdDate.valueOf();
    return remotes.filter(remote => {
        if (remote.state === types_1.State.Inactive) {
            return false;
        }
        if (!remote.age) {
            return false;
        }
        const date = new Date(remote.age).valueOf();
        return date > threshold;
    });
}
//# sourceMappingURL=branches.js.map