"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = require("express");
const get = require("./get");
const create_1 = require("./create");
const update_1 = require("./update");
const refs_1 = require("./refs");
const remove_1 = require("./remove");
const build_1 = require("./build");
const logs_1 = require("./logs");
const log_1 = require("./log");
const branches_1 = require("./branches");
const router = express_1.Router();
router.get('/branches', branches_1.default);
router.get('/:id/branches', branches_1.default);
router.get('/:id/logs', logs_1.default);
router.get('/:id/logs/:filename', log_1.default);
router.get('/:id', get.one);
router.get('/', get.all);
router.get('/:id/refs', refs_1.default);
router.post('/', create_1.default);
router.post('/:id', update_1.default);
router.put('/:id/build', build_1.default);
router.delete('/:id', remove_1.default);
exports.default = router;
//# sourceMappingURL=index.js.map