"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const fs = require("fs");
const db = require("./db");
const handler = (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const id = Number(req.params.id);
    const app = yield db.one(id);
    if (!app) {
        res.status(400).json({ message: `Application '${id}' does not exist` });
        return;
    }
    try {
        const files = yield getLogs(app);
        res.json(files);
    }
    catch (ex) {
        res.status(500).json({ message: ex.message || ex });
    }
});
exports.default = handler;
const logFileBase = path.resolve(__dirname, '../../../logs');
function getLogs(application) {
    return new Promise((resolve, reject) => {
        fs.readdir(path.resolve(logFileBase, application.id.toString()), (err, files) => {
            if (err) {
                return reject(err);
            }
            resolve(files.filter(file => file.endsWith('.json')));
        });
    });
}
//# sourceMappingURL=logs.js.map