"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const queue_1 = require("./queue");
const types_1 = require("../types");
function getQueue() {
    const items = queue_1.queue.queue;
    const progress = items
        .filter(i => i.state === types_1.State.Waiting || i.state === types_1.State.Building)
        .map(toQueueItem);
    const done = items
        .filter(i => i.state === types_1.State.Failed || i.state === types_1.State.Successful)
        .map(toQueueItem);
    return {
        progress,
        done
    };
}
exports.getQueue = getQueue;
function toQueueItem(item) {
    return {
        app: {
            id: item.app.id,
            name: item.app.name
        },
        ref: item.ref,
        sha: item.sha,
        state: toString(item.state),
        stateId: item.state
    };
}
function cancelItem(_appId, _ref) {
    throw new Error('Not yet supported');
}
exports.cancelItem = cancelItem;
function forceBuild(_appId, _ref) {
    throw new Error('Not yet supported');
}
exports.forceBuild = forceBuild;
function toString(state) {
    switch (state) {
        case types_1.State.NotDetermined:
            return 'Not Determined';
        default:
            return types_1.State[state];
    }
}
//# sourceMappingURL=api.js.map