"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const db = require("../db");
function insertRemote(app, props) {
    return __awaiter(this, void 0, void 0, function* () {
        const existing = yield db.getRemote(app.id, props.remote);
        if (existing) {
            const error = 'Attempting to insert remote that already exists';
            log.error(error);
            throw new Error(error);
        }
        yield db.insertRemote({
            applicationId: app.id,
            remote: props.remote,
            seen: props.seen,
            sha: props.sha,
            state: props.state,
            age: props.age
        });
    });
}
exports.insertRemote = insertRemote;
function updateRemoteState(app, remote, state) {
    return __awaiter(this, void 0, void 0, function* () {
        yield db.updateRemote(app.id, remote, { state });
    });
}
exports.updateRemoteState = updateRemoteState;
//# sourceMappingURL=util.js.map