"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const apps = require("./db");
const remove_1 = require("../git/remove");
const handler = (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const id = Number(req.params.id);
    const app = yield apps.one(id);
    if (!app) {
        res.status(400).json({ message: `Application '${id}' does not exist` });
        return;
    }
    yield remove_1.default(app);
    yield apps.remove(id);
    res.json({ message: `Successfully removed application '${id}'` });
});
exports.default = handler;
//# sourceMappingURL=remove.js.map