"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const db = require("../../data");
const handler = (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const { repository, name, username, key, label, dockerfile, credentialsId, autoBuild } = req.body;
    const id = req.params.id;
    const body = {
        repository,
        name,
        username,
        key,
        label,
        dockerfile,
        credentialsId: Number(credentialsId),
        autoBuild: !!autoBuild
    };
    if (credentialsId > 0) {
        body.username = '';
        body.key = '';
    }
    try {
        yield db
            .applications()
            .update(body)
            .where('id', id);
        res.json(Object.assign({ id }, body));
    }
    catch (ex) {
        res.status(500).json({ message: ex.message || ex });
    }
});
exports.default = handler;
//# sourceMappingURL=update.js.map