"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const getHosts = require("../hosts/db");
const stream = require("stream");
const docker_1 = require("../docker");
const handler = (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const containerId = req.params.id;
    const hostId = Number(req.params.hostid);
    const tail = req.query.tail || 100;
    const host = yield getHosts.getOne(hostId);
    if (!host) {
        res.status(400).json({
            status: 400,
            message: 'Invalid Host ID'
        });
        return;
    }
    const client = docker_1.default(host);
    try {
        const logStream = yield client
            .getContainer(containerId)
            .logs({ tail, stdout: true, stderr: true });
        const logs = [];
        const append = (data) => {
            logs.push(data.toString('utf8'));
        };
        const stdout = new stream.PassThrough();
        const stderr = new stream.PassThrough();
        client.modem.demuxStream(logStream, stdout, stderr);
        logStream.on('data', append);
        logStream.on('end', () => res.json(logs));
    }
    catch (ex) {
        res.status(500).json(ex);
    }
});
exports.default = handler;
//# sourceMappingURL=logs.js.map