"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const db = require("../../data");
const handler = (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const { name = '', username = '', key = '' } = req.body;
    if (!name.length) {
        res.status(400).json({ message: 'Must provide a name' });
    }
    const body = { name, username, key };
    try {
        yield db.credentials().insert(body);
        const app = Object.assign({}, body);
        delete app.key;
        res.json(app);
    }
    catch (ex) {
        res.status(500);
        res.json({ message: ex.message || ex });
    }
});
exports.default = handler;
//# sourceMappingURL=create.js.map