"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const db = require("../../data");
function one(id) {
    return __awaiter(this, void 0, void 0, function* () {
        const creds = yield db
            .credentials()
            .select()
            .where('id', id)
            .first();
        return creds;
    });
}
exports.one = one;
function all() {
    return __awaiter(this, void 0, void 0, function* () {
        const creds = yield db
            .credentials()
            .select()
            .orderBy('id', 'asc');
        return creds;
    });
}
exports.all = all;
function remove(id) {
    return __awaiter(this, void 0, void 0, function* () {
        const apps = yield db
            .applications()
            .select()
            .where('credentialsId', id);
        if (apps.length > 0) {
            throw new Error('Unable to remove Credenitials: Applications reference these credentials');
        }
        return db
            .credentials()
            .delete()
            .where('id', id);
    });
}
exports.remove = remove;
//# sourceMappingURL=db.js.map