"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const docker_1 = require("../docker");
const get = require("./db");
exports.getOne = (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const host = yield get.getOne(Number(req.params.id));
    const containers = yield getContainers(host);
    res.json(containers);
});
exports.getAll = (_, res) => __awaiter(void 0, void 0, void 0, function* () {
    const hosts = yield get.getAll();
    const containerLists = yield Promise.all(hosts.map(getContainers));
    const containers = containerLists.reduce((list, curr) => {
        list.push(...curr);
        return list;
    }, []);
    res.json(containers);
});
function getContainers(host) {
    return __awaiter(this, void 0, void 0, function* () {
        const client = docker_1.default(host);
        const hostDto = Object.assign({}, host);
        delete hostDto.sshPort;
        const containers = yield client.listContainers({
            all: 1
        });
        containers.forEach((container) => {
            container['concierge'] = {
                hostId: host.id,
                host: hostDto
            };
        });
        return containers;
    });
}
exports.getContainers = getContainers;
//# sourceMappingURL=get-containers.js.map