"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const db = require("../../data");
const handler = (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const id = req.params.id;
    const hostname = req.body.hostname;
    const proxyIp = req.body.proxyIp;
    const vanityHostname = req.body.vanityHostname;
    const dockerPort = req.body.dockerPort || 2375;
    const sshPort = req.body.sshPort || 22;
    const capacity = req.body.capacity || 5;
    let credentialsId = Number(req.body.credentialsId);
    if (credentialsId < 1) {
        credentialsId = null;
    }
    const body = {
        hostname,
        dockerPort,
        sshPort,
        capacity,
        vanityHostname,
        proxyIp,
        credentialsId
    };
    try {
        const result = yield db
            .hosts()
            .update(Object.assign({}, body))
            .where('id', id);
        res.json(Object.assign(Object.assign({}, body), { id: result }));
    }
    catch (ex) {
        res.status(500);
        res.json({ message: ex.message || ex });
    }
});
exports.default = handler;
//# sourceMappingURL=update.js.map