"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const getHosts = require("../hosts/db");
const docker_1 = require("../docker");
function getAll() {
    return __awaiter(this, void 0, void 0, function* () {
        const hosts = yield getHosts.getAll();
        const allImages = yield Promise.all(hosts.map(getImages));
        const images = allImages.reduce((list, curr) => {
            list.push(...curr);
            return list;
        }, []);
        return images;
    });
}
exports.getAll = getAll;
function getOne(hostId) {
    return __awaiter(this, void 0, void 0, function* () {
        const host = yield getHosts.getOne(hostId);
        return getImages(host);
    });
}
exports.getOne = getOne;
function getImages(host) {
    return __awaiter(this, void 0, void 0, function* () {
        const client = docker_1.default(host);
        const images = yield client.listImages();
        for (const image of images) {
            const concierge = { hostId: host.id };
            image['concierge'] = concierge;
        }
        return images;
    });
}
//# sourceMappingURL=get-images.js.map