"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const docker_1 = require("../docker");
const getHosts = require("../hosts/db");
const handler = (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const imageId = req.params.id;
    const hostId = Number(req.params.hostId);
    const host = yield getHosts.getOne(hostId);
    const client = docker_1.default(host);
    const inspectInfo = yield client.getImage(imageId).inspect();
    res.json(inspectInfo);
});
exports.default = handler;
//# sourceMappingURL=inspect.js.map