"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const db = require("../hosts/db");
const docker_1 = require("../docker");
const handler = (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const imageName = req.query.imageName;
    const tag = req.query.tag || 'latest';
    const hosts = yield db.getAll();
    if (hosts.length === 0) {
        return res.status(412).json({ message: 'No hosts are available to service this request' });
    }
    if (typeof imageName !== 'string' || typeof tag !== 'string') {
        return res.status(400).json({ message: 'Invalid image name or tag' });
    }
    const client = docker_1.default(hosts[0]);
    try {
        yield client.pull(`${imageName}:${tag}`, {});
        return res.json({ message: 'Pulling image' });
    }
    catch (ex) {
        return res.status(500).json({ message: ex.message || ex });
    }
});
exports.default = handler;
//# sourceMappingURL=pull.js.map