"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const docker_1 = require("../docker");
const db = require("../hosts/db");
const handler = (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const hosts = yield db.getAll();
    const tag = req.query.tag;
    if (!tag) {
        res.status(400).json({ message: 'No tag provided' });
        return;
    }
    for (const host of hosts) {
        const client = docker_1.default(host);
        const image = client.getImage(tag);
        try {
            yield image.remove();
        }
        catch (ex) {
            // Intentional NOOP
            // The image may not exist on the host
        }
    }
    res.json({ message: 'Successfully removed image' });
});
exports.default = handler;
//# sourceMappingURL=remove.js.map