"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const events = require("events");
const server_1 = require("../../server");
const emitter = new events.EventEmitter();
function container(subdomain, event) {
    emitter.emit('container', subdomain, event);
}
exports.container = container;
function containerStats(subdomain, stats) {
    emitter.emit('container-stats', subdomain, stats);
}
exports.containerStats = containerStats;
function host(hostname, event) {
    emitter.emit('host', hostname, event);
}
exports.host = host;
function build(name, event) {
    emitter.emit('build', name, event);
}
exports.build = build;
function buildStatus(appId, event) {
    emitter.emit('build-status', appId, event);
}
exports.buildStatus = buildStatus;
function toast(type, message) {
    server_1.socket.emit('toast', newEvent('toast', type, message));
}
exports.toast = toast;
emitter.addListener('container', (subdomain, event) => {
    server_1.socket.emit('event', newEvent(subdomain, 'Container', event));
});
emitter.addListener('host', (hostname, event) => {
    server_1.socket.emit('event', newEvent(hostname, 'Host', event));
});
emitter.addListener('build', (name, event) => {
    server_1.socket.emit('build', newEvent(name, 'Build', event));
});
emitter.addListener('container-stats', (subdomain, stats) => {
    server_1.socket.emit('stats', newEvent(subdomain, 'Container', stats));
});
emitter.addListener('build-status', (appId, event) => {
    server_1.socket.emit('build-status', newEvent(appId.toString(), 'BuildStatus', event));
});
function newEvent(name, type, event) {
    return { name, type, event };
}
//# sourceMappingURL=emitter.js.map