"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const yaml = require("js-yaml");
const v1_1 = require("./v1");
const parsers = [v1_1.parse];
function parseTaskFile(content, extension) {
    const file = loadFile(content, extension);
    if (!file) {
        return null;
    }
    for (const parser of parsers) {
        const cfg = parser(file);
        if (cfg) {
            return cfg;
        }
    }
    return null;
}
exports.parseTaskFile = parseTaskFile;
function loadFile(content, extension) {
    // .JSON
    if (extension === '.json') {
        try {
            return JSON.parse(content);
        }
        catch (_a) {
            return null;
        }
    }
    // YML/YAML
    try {
        const file = yaml.safeLoad(content);
        return file;
    }
    catch (_ex) {
        return null;
    }
}
//# sourceMappingURL=index.js.map