"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function parse(content) {
    if (content.version !== 'v1') {
        return null;
    }
    const version = content.version;
    const use = content.use ? content.use.toString() : undefined;
    const checkout = toCommands(content.checkout);
    const containers = toCommands(content.containers);
    const success = toCommands(content.success);
    const fail = toCommands(content.fail);
    const complete = toCommands(content.complete);
    return {
        version,
        use,
        checkout,
        success,
        fail,
        complete,
        containers
    };
}
exports.parse = parse;
function toCommands(prop) {
    if (!prop) {
        return [];
    }
    if (Array.isArray(prop)) {
        return prop.map(p => p.toString());
    }
    return [prop.toString()];
}
//# sourceMappingURL=index.js.map