"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = require("./");
const path = require("path");
const host = require("../api/hosts/db");
function migrate(config = {}) {
    return __awaiter(this, void 0, void 0, function* () {
        const db = config.knex || _1.default;
        const directory = path.resolve(__dirname, 'migrations');
        const startMigration = yield db.migrate.currentVersion();
        log.info(`Current migration: ${startMigration}`);
        yield db.migrate.latest({ directory });
        const endMigration = yield db.migrate.currentVersion();
        log.info(`Migrated to: ${endMigration}`);
        yield createDefaultHost();
    });
}
exports.default = migrate;
function createDefaultHost() {
    return __awaiter(this, void 0, void 0, function* () {
        const isCliInit = process.argv.some(arg => arg === '-i' || arg === '--init');
        if (!isCliInit) {
            return;
        }
        const hosts = yield host.getAll();
        if (hosts.length) {
            return;
        }
        yield host.create({
            hostname: '',
            vanityHostname: 'localhost',
            proxyIp: '',
            sshPort: 22,
            dockerPort: 2375,
            capacity: 5,
            credentialsId: null
        });
        log.info('Created default host');
    });
}
//# sourceMappingURL=migrate.js.map