"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("../");
function up(db) {
    return __awaiter(this, void 0, void 0, function* () {
        yield db.schema.createTable(__1.CREDENTIALS, tbl => {
            tbl.increments('id').primary();
            tbl
                .text('name')
                .notNullable()
                .unique();
            tbl.text('username').notNullable();
            tbl.text('key').notNullable();
        });
        yield db.schema.table(__1.APPLICATIONS, tbl => {
            tbl
                .integer('credentialsId')
                .nullable()
                .references(`${__1.CREDENTIALS}.id`);
        });
    });
}
exports.up = up;
function down(_) {
    return __awaiter(this, void 0, void 0, function* () {
        throw new Error('Down migrations not supported');
    });
}
exports.down = down;
//# sourceMappingURL=0003_add-credentials.js.map