"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("..");
function up(db) {
    return __awaiter(this, void 0, void 0, function* () {
        // Create new credential records for applications prior to dropping the columns
        const apps = yield db(__1.APPLICATIONS).select();
        for (const app of apps) {
            if (!app.username) {
                continue;
            }
            const cred = {
                name: `${app.name} (auto-generated)`,
                username: app.username,
                key: app.key
            };
            const [id] = yield db(__1.CREDENTIALS).insert(cred);
            yield db(__1.APPLICATIONS)
                .update({ credentialsId: id, key: '', username: '' })
                .where('id', app.id);
        }
        yield db.schema.table(__1.APPLICATIONS, tbl => {
            tbl.dropColumns('username', 'key');
        });
    });
}
exports.up = up;
function down(_) {
    return __awaiter(this, void 0, void 0, function* () {
        throw new Error('Down migrations not supported');
    });
}
exports.down = down;
//# sourceMappingURL=0008_deprecated-app-username-key.js.map