"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
require("./logger");
const migrate_1 = require("./data/migrate");
const server_1 = require("./server");
const hosts_1 = require("./api/stats/hosts");
const containers_1 = require("./api/stats/containers");
const monitor_1 = require("./api/applications/monitor");
function start() {
    return __awaiter(this, void 0, void 0, function* () {
        // Migrate the database
        yield migrate_1.default();
        // Start the web server
        yield server_1.default();
        // Listen for Performance (memory and CPU) and Docker events on all Containers
        yield containers_1.default();
        setInterval(() => containers_1.default(), 5000);
        // Listen for Docker events on all Hosts
        yield hosts_1.default();
        setInterval(() => hosts_1.default(), 5000);
        // Monitor application remotes and automatically build
        yield monitor_1.default();
    });
}
start();
process.on('unhandledRejection', (err) => {
    log.error(err.message || err);
    if (err.stack) {
        log.error(err.stack);
    }
});
//# sourceMappingURL=index.js.map