"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chalk = require("chalk");
/**
* Placeholder for logging
*/
function info(message) {
    formatOutput(message, 'info', 'cyan');
}
exports.info = info;
function warn(message) {
    formatOutput(message, 'warn', 'yellow');
}
exports.warn = warn;
function error(message) {
    formatOutput(message, 'error', 'red');
}
exports.error = error;
function debug(message) {
    formatOutput(message, 'debug', 'gray');
}
exports.debug = debug;
global.log = {
    info,
    warn,
    error,
    debug
};
function formatOutput(message, messageType, color) {
    // tslint:disable-next-line:no-console
    const chalkFn = chalk[color];
    console.log('[%s] %s: %s', new Date().toTimeString().slice(0, 8), chalkFn(messageType.toLocaleUpperCase()), message);
}
//# sourceMappingURL=logger.js.map