"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const express = require("express");
const bodyParser = require("body-parser");
const compression = require("compression");
const path = require("path");
const api_1 = require("../api");
const http = require("http");
const io = require("socket.io");
const proxy = require("./proxy");
const PORT = Number(process.env.CONCIERGE_PORT || 3141);
const app = express();
exports.server = http.createServer(app);
exports.socket = io(exports.server);
const router = express.Router();
function start() {
    return new Promise((resolve, reject) => {
        exports.server.listen(PORT, (err) => {
            if (err) {
                return reject(err);
            }
            log.info(`HTTP server started on port ${PORT}`);
            resolve(PORT);
        });
    });
}
exports.default = start;
/**
 * TODO
 * Authentication
 * Signed cookies
 */
app.use(compression());
app.use(bodyParser.json());
router.use('/api', api_1.default);
app.use(proxy.requestHandler);
app.use(router);
const staticPath = path.resolve(__dirname, '..', '..', 'front');
const indexFile = path.resolve(staticPath, 'index.html');
app.use(express.static(staticPath));
app.get('/', (_, res) => res.sendFile(indexFile));
// 404 handler -- return index.html and use client-side routing
app.use((_, res) => {
    res.sendFile(indexFile);
    return;
});
//# sourceMappingURL=index.js.map