"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function getDomainInfo(host) {
    if (!host) {
        return { subdomain: '', domain: '' };
    }
    let fullDomain = host
        .replace('https://', '')
        .replace('http://', '')
        .split(':')[0]; // Remove any port number
    let split = fullDomain.split('.');
    let subdomain = split[0].toLocaleLowerCase();
    let domain = split
        .slice(1)
        .join('.')
        .toLocaleLowerCase();
    return {
        subdomain: subdomain,
        domain: domain
    };
}
exports.default = getDomainInfo;
//# sourceMappingURL=domain-info.js.map