"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const db = require("../../api/hosts/db");
const get_containers_1 = require("../../api/hosts/get-containers");
function findContainer(name) {
    return __awaiter(this, void 0, void 0, function* () {
        const hosts = yield db.getAll();
        const containerLists = yield Promise.all(hosts.map(get_containers_1.getContainers));
        const container = containerLists.reduce((prev, curr) => {
            if (prev) {
                return prev;
            }
            const container = curr.find(container => toContainerName(container) === name);
            return container;
        }, undefined);
        return container;
    });
}
exports.default = findContainer;
function toContainerName(container) {
    return container.Names[0].slice(1);
}
//# sourceMappingURL=find-container.js.map